
<ng-container *ngIf="dispatchView">
  <div class="e-brd--left e-brd--right">
    <div class=" eh-py-6 eh-px-12 eh-txt-center" fxLayout="row" fxLayoutAlign="start center" [formGroup]="logFG">
      <div class="eh-txt-12" fxFlex="0 0 33%">
        {{dateFC.value | date:'mediumDate'}}
      </div>

      <div fxFlex="0 0 33%">
        <input class="eh-w-100 eh-txt-12 e-brd e-brd--bottom e-brd--egrey400 eh-p-4 eh-txt-center" type="number"
          formControlName="weight" [ngClass]="{'e-brd--error': !weightFC.pristine && !weightFC.valid}">
      </div>

      <div class="eh-txt-12 eh-txt-center" fxFlex="0 0 33%">{{delta !== null ? delta : '-'}}</div>
    </div>

    <div fxLayout="row" fxLayoutAlign="flex-end center" class="e-brd e-brd--bottom">
      <div class="eh-w-20" fxLayout="row" fxlayoutAlign="center center">
        <mat-icon *ngIf="hasChanged" class="e-mat-icon e-mat-icon--3 e-txt e-txt--matred600">warning</mat-icon>
      </div>

      <div class="eh-pl-2">
        <app-button-icon icon="settings_backup_restore" iconStyle="e-mat-icon--3 e-txt e-txt--matred600"
          [disabled]="saving || deleting" (onButtonClick)="reset()">
        </app-button-icon>
      </div>

      <app-button-icon class="eh-ml-4" icon="save" iconStyle="e-mat-icon--3 e-txt e-txt--matgreen500" [loading]="saving"
        [disabled]="deleting" (onButtonClick)="save()">
      </app-button-icon>

      <app-button-icon class="eh-ml-4" icon="delete" [loading]="deleting" [disabled]="saving"
        (onButtonClick)="delete()">
      </app-button-icon>
    </div>
  </div>
</ng-container>